using APT.BaseData.Domain.Entities;
using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.SC
{
    [Description("会议纪要附件")]
    public class T_SC_MT_MEETING_MINUTES_FILE : MesEntityBase
    {

        /// <summary>
        /// 会议纪要表
        /// </summary>
        [Description("会议纪要表")]
        [DataFieldForeignKey("Nav_MeetingMinutes", "Nav_Files")]
        public Guid MEETING_MINUTES_ID { get; set; }

        /// <summary>
        /// 会议纪要表
        /// </summary>
        [Description("导航：会议纪要表")]
        public virtual T_SC_MT_MEETING_MINUTES Nav_MeetingMinutes { get; set; }

        /// <summary>
        /// 文件ID
        /// </summary>
        [Description("文件ID")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid IMG_FILE_ID { get; set; }

        /// <summary>
        /// 导航属性：文件
        /// </summary>
        [Description("导航属性：文件")]
        public virtual T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
